org.apache.maven.artifact.resolver

## Class AbstractArtifactResolutionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.maven.artifact.resolver.AbstractArtifactResolutionException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    ArtifactNotFoundException, ArtifactResolutionException, PluginNotFoundException

      public class AbstractArtifactResolutionException
      extends java.lang.Exception

  Base class for artifact resolution exceptions.
  Version:
    $Id: AbstractArtifactResolutionException.java 647357 2008-04-12 00:51:03Z vsiveton $
  Author:
    Brett Porter
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractArtifactResolutionException(java.lang.String message, Artifact artifact)`
    `protected` | `AbstractArtifactResolutionException(java.lang.String message, Artifact artifact, java.util.List remoteRepositories)`
    `protected` | `AbstractArtifactResolutionException(java.lang.String message, Artifact artifact, java.util.List remoteRepositories, java.lang.Throwable t)`
    `protected` | `AbstractArtifactResolutionException(java.lang.String message, java.lang.String groupId, java.lang.String artifactId, java.lang.String version, java.lang.String type, java.lang.String classifier, java.util.List remoteRepositories, java.util.List path)`
    `protected` | `AbstractArtifactResolutionException(java.lang.String message, java.lang.String groupId, java.lang.String artifactId, java.lang.String version, java.lang.String type, java.lang.String classifier, java.util.List remoteRepositories, java.util.List path, java.lang.Throwable t)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static java.lang.String` | `constructArtifactPath(java.util.List path, java.lang.String indentation)`
    `protected static java.lang.String` | `constructMissingArtifactMessage(java.lang.String message, java.lang.String indentation, java.lang.String groupId, java.lang.String artifactId, java.lang.String version, java.lang.String type, java.lang.String classifier, java.lang.String downloadUrl, java.util.List path)`
    `Artifact` | `getArtifact()`
    `java.lang.String` | `getArtifactId()`
    `java.lang.String` | `getArtifactPath()`
    `java.lang.String` | `getClassifier()`
    `java.lang.String` | `getGroupId()`
    `java.lang.String` | `getOriginalMessage()`
    `java.lang.String` | `getPath()`
    `java.util.List` | `getRemoteRepositories()`
    `java.lang.String` | `getType()`
    `java.lang.String` | `getVersion()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractArtifactResolutionException

          protected AbstractArtifactResolutionException(java.lang.String message,
                                             java.lang.String groupId,
                                             java.lang.String artifactId,
                                             java.lang.String version,
                                             java.lang.String type,
                                             java.lang.String classifier,
                                             java.util.List remoteRepositories,
                                             java.util.List path)

    - #### AbstractArtifactResolutionException

          protected AbstractArtifactResolutionException(java.lang.String message,
                                             java.lang.String groupId,
                                             java.lang.String artifactId,
                                             java.lang.String version,
                                             java.lang.String type,
                                             java.lang.String classifier,
                                             java.util.List remoteRepositories,
                                             java.util.List path,
                                             java.lang.Throwable t)

    - #### AbstractArtifactResolutionException

          protected AbstractArtifactResolutionException(java.lang.String message,
                                             Artifact artifact)

    - #### AbstractArtifactResolutionException

          protected AbstractArtifactResolutionException(java.lang.String message,
                                             Artifact artifact,
                                             java.util.List remoteRepositories)

    - #### AbstractArtifactResolutionException

          protected AbstractArtifactResolutionException(java.lang.String message,
                                             Artifact artifact,
                                             java.util.List remoteRepositories,
                                             java.lang.Throwable t)

  - ### Method Detail

    - #### getArtifact

          public Artifact getArtifact()

    - #### getGroupId

          public java.lang.String getGroupId()

    - #### getArtifactId

          public java.lang.String getArtifactId()

    - #### getVersion

          public java.lang.String getVersion()

    - #### getType

          public java.lang.String getType()

    - #### getClassifier

          public java.lang.String getClassifier()

      Returns:
        the classifier

    - #### getPath

          public java.lang.String getPath()

      Returns:
        the path

    - #### getRemoteRepositories

          public java.util.List getRemoteRepositories()

    - #### getOriginalMessage

          public java.lang.String getOriginalMessage()

    - #### constructArtifactPath

          protected static java.lang.String constructArtifactPath(java.util.List path,
                                               java.lang.String indentation)

    - #### constructMissingArtifactMessage

          protected static java.lang.String constructMissingArtifactMessage(java.lang.String message,
                                                         java.lang.String indentation,
                                                         java.lang.String groupId,
                                                         java.lang.String artifactId,
                                                         java.lang.String version,
                                                         java.lang.String type,
                                                         java.lang.String classifier,
                                                         java.lang.String downloadUrl,
                                                         java.util.List path)

    - #### getArtifactPath

          public java.lang.String getArtifactPath()